<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
    <title>Bootstrap Components</title>
    <!-- Icon sa tab "Favicon"-->
    <link rel="website icon" type="svg" href="./images/Bootstrap_logo.svg" />
  </head>
  <body>
    <header>
      <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="#">Ada Lovelace</a>
        <button
          class="navbar-toggler"
          type="button"
          data-toggle="collapse"
          data-target="#navbarNav"
          aria-controls="navbarNav"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item active">
              <a class="nav-link" href="#"
                >About Me <span class="sr-only">(current)</span></a
              >
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Projects</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Tools</a>
            </li>
          </ul>
        </div>
      </nav>
    </header>

    <!-- Main -->
    <main>
      <div class="container-fluid text-center">
        <!-- Sidebar -->
        <div class="row">
          <div
            class="accordion col-md-2 d-md-block d-none p-0"
            id="accordionExample"
          >
            <div class="card">
              <div class="card-header" id="headingOne">
                <h2 class="mb-0">
                  <button
                    class="btn btn-link btn-block text-left"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseOne"
                    aria-expanded="true"
                    aria-controls="collapseOne"
                  >
                    Services
                  </button>
                </h2>
              </div>

              <div
                id="collapseOne"
                class="collapse show"
                aria-labelledby="headingOne"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul
                    style="
                      list-style: none;
                      text-align: left;
                      padding: 0;
                      margin: 0;
                    "
                  >
                    <li>Front End Design</li>
                    <li>Back End Design</li>
                    <li>Full-Stack Development</li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="card">
              <div class="card-header" id="headingTwo">
                <h2 class="mb-0">
                  <button
                    class="btn btn-link btn-block text-left collapsed"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseTwo"
                    aria-expanded="false"
                    aria-controls="collapseTwo"
                  >
                    Projects
                  </button>
                </h2>
              </div>
              <div
                id="collapseTwo"
                class="collapse"
                aria-labelledby="headingTwo"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul
                    style="
                      list-style: none;
                      text-align: left;
                      padding: 0;
                      margin: 0;
                    "
                  >
                    <li>HTML</li>
                    <li>CSS</li>
                    <li>Bootstrap</li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="card">
              <div class="card-header" id="headingThree">
                <h2 class="mb-0">
                  <button
                    class="btn btn-link btn-block text-left collapsed"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseThree"
                    aria-expanded="false"
                    aria-controls="collapseThree"
                  >
                    Tools
                  </button>
                </h2>
              </div>
              <div
                id="collapseThree"
                class="collapse"
                aria-labelledby="headingThree"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul
                    style="
                      list-style: none;
                      text-align: left;
                      padding: 0;
                      margin: 0;
                    "
                  >
                    <li>Core Tools</li>
                    <li>Other Tools</li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="card">
              <div class="card-header" id="headingThree">
                <h2 class="mb-0">
                  <button
                    class="btn btn-link btn-block text-left collapsed"
                    type="button"
                    data-toggle="collapse"
                    data-target="#collapseFour"
                    aria-expanded="false"
                    aria-controls="collapseFour"
                  >
                    Atbp
                  </button>
                </h2>
              </div>
              <div
                id="collapseFour"
                class="collapse"
                aria-labelledby="headingThree"
                data-parent="#accordionExample"
              >
                <div class="card-body">
                  <ul
                    style="
                      list-style: none;
                      text-align: left;
                      padding: 0;
                      margin: 0;
                    "
                  >
                    <li>Others</li>
                    <li>Others Again</li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
          <!-- End of Sidebar -->

          <!-- Main Body -->
          <div class="col-md-10 col-12 p-0">
            <div class="container-fluid bg-dark min-vh-100 text-light">
              <img
                src="./images/ada.jpg"
                alt=""
                class="col-md-3 col-6 mt-5 rounded-circle"
              />
              <h1>Ada Lovelace</h1>
              <h3>Full-Stack Developer</h3>
              <div class="row">
                <div class="col-8 offset-2">
                  Lorem ipsum dolor sit, amet consectetur adipisicing elit.
                  Quaerat nulla eveniet similique sunt, a, dolorem corporis amet
                  non est repellendus libero incidunt? Rerum velit, non
                  blanditiis maiores repudiandae voluptatem cumque.
                </div>
              </div>

              <!-- Carousel -->
              <div class="row mt-5 d-none d-md-block">
                <div class="col-md-6 offset-3">
                  <div
                    id="carouselExampleControls"
                    class="carousel slide"
                    data-ride="carousel"
                  >
                    <div class="carousel-inner">
                      <div class="carousel-item active">
                        <img
                          src="https://place-puppy.com/500x300"
                          class="d-block w-100"
                          alt="puppy"
                        />
                      </div>
                      <div class="carousel-item">
                        <img
                          src="http://placekitten.com/500/300"
                          class="d-block w-100"
                          alt="kitten"
                        />
                      </div>
                      <div class="carousel-item">
                        <img
                          src="https://placebear.com/500/300"
                          class="d-block w-100"
                          alt="bear"
                        />
                      </div>
                    </div>
                    <button
                      class="carousel-control-prev"
                      type="button"
                      data-target="#carouselExampleControls"
                      data-slide="prev"
                    >
                      <span
                        class="carousel-control-prev-icon"
                        aria-hidden="true"
                      ></span>
                      <span class="sr-only">Previous</span>
                    </button>
                    <button
                      class="carousel-control-next"
                      type="button"
                      data-target="#carouselExampleControls"
                      data-slide="next"
                    >
                      <span
                        class="carousel-control-next-icon"
                        aria-hidden="true"
                      ></span>
                      <span class="sr-only">Next</span>
                    </button>
                  </div>
                </div>
              </div>
              <!-- End of Carousel -->
            </div>
            <!-- Cards -->
            <div class="bg-secondary text-light min-vh-100 p-3">
              <h2>Other Projects</h2>
              <div
                class="d-flex flex-md-row flex-column justify-content-md-around align-items-center mt-3"
              >
                <!-- First Card -->
                <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2">
                  <img
                    src="./images/html.jpg"
                    class="card-img-top p-3"
                    alt="html-image"
                  />
                  <div class="card-body">
                    <h5 class="card-title">HTML</h5>
                    <p class="card-text">
                      Lorem ipsum dolor sit amet consectetur adipisicing elit.
                      Labore nulla qui laboriosam soluta officia laborum fuga ex
                      est nobis, debitis architecto enim similique nisi eaque
                      eveniet maiores quia necessitatibus! Molestiae.
                    </p>
                    <a href="#" class="btn btn-primary">Go To Project</a>
                  </div>
                </div>
                <!-- End of First Card -->
                <!-- Second Card -->
                <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2">
                  <img
                    src="./images/bootstrap-illustration.png"
                    class="card-img-top p-3"
                    alt="bootstrap-image"
                  />
                  <div class="card-body">
                    <h5 class="card-title">Bootstrap</h5>
                    <p class="card-text">
                      Lorem ipsum dolor sit amet consectetur adipisicing elit.
                      Labore nulla qui laboriosam soluta officia laborum fuga ex
                      est nobis, debitis architecto enim similique nisi eaque
                      eveniet maiores quia necessitatibus! Molestiae.
                    </p>
                    <a href="#" class="btn btn-primary">Go To Project</a>
                  </div>
                </div>
                <!-- End of Second Card -->
                <!-- Third Card -->
                <div class="card bg-dark col-md-3 col-10 mt-md-0 mt-2">
                  <img
                    src="./images/nodejs.png"
                    class="card-img-top p-3"
                    alt="bootstrap-image"
                  />
                  <div class="card-body">
                    <h5 class="card-title">NodeJS</h5>
                    <p class="card-text">
                      Lorem ipsum dolor sit amet consectetur adipisicing elit.
                      Labore nulla qui laboriosam soluta officia laborum fuga ex
                      est nobis, debitis architecto enim similique nisi eaque
                      eveniet maiores quia necessitatibus! Molestiae.
                    </p>
                    <a href="#" class="btn btn-primary">Go To Project</a>
                  </div>
                </div>
                <!-- End of Third Card -->
              </div>
              <!-- Form -->
              <div class="text-center bg-secondary pt-5">
                <div class="container-fluid">
                  <div class="row">
                    <form
                      class="col-xl-4 col-md-8 col-12 offset-xl-4 offset-md-2"
                    >
                      <h2>Contact Me</h2>
                      <div class="bg-primary p-3">
                        <div class="form-group">
                          <label for="name">Name</label>
                          <input
                            type="text"
                            class="form-control"
                            id="name"
                            placeholder="Your Name"
                          />
                        </div>
                        <div class="form-group">
                          <label for="email">Email address</label>
                          <input
                            type="email"
                            class="form-control"
                            id="email"
                            aria-describedby="emailHelp"
                            placeholder="name@example.com"
                          />
                        </div>
                        <div class="form-group">
                          <label for="contact-number">Contact Number</label>
                          <input
                            type="number"
                            class="form-control"
                            id="contact-number"
                            placeholder="+63 900 000 0000"
                          />
                        </div>

                        <div class="form-group pb-1">
                          <label for="concern">Concern</label>
                          <select class="form-control" id="concern">
                            <option>Quotation</option>
                            <option>Appointment</option>
                            <option>Follow-up</option>
                          </select>
                        </div>

                        <div class="form-group">
                          <label for="message">Message</label>
                          <textarea
                            class="form-control"
                            id="message"
                            rows="3"
                          ></textarea>
                        </div>

                        <button
                          type="button"
                          class="btn btn-secondary w-50"
                          data-toggle="modal"
                          data-target="#modal"
                        >
                          Submit Email
                        </button>
                      </div>
                    </form>
                  </div>
                </div>
              </div>

              <!-- End of Form -->
            </div>
            <!-- End of Cards -->
          </div>

          <!-- End of Main Body -->
        </div>
      </div>

      <!-- Modal -->
      <div
        class="modal fade"
        id="modal"
        tabindex="-1"
        aria-labelledby="exampleModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Thank you for contacting us!</h5>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-label="Close"
              >
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body text-center">Message Successfuly Sent</div>
            <div class="modal-footer">
              <button
                type="button"
                class="btn btn-secondary"
                data-dismiss="modal"
              >
                Close
              </button>
              <button type="button" class="btn btn-primary">
                Save changes
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- End of Modal -->
    </main>
    <!-- End Of Main -->

    <!--Bootstrap JS -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
